org.apache.lucene.codecs.uniformsplit

## Class Rot13CypherTestUtil

- java.lang.Object
- - org.apache.lucene.codecs.uniformsplit.Rot13CypherTestUtil

    public class Rot13CypherTestUtil
    extends Object

Test utility for simple ROT13 cipher (https://en.wikipedia.org/wiki/ROT13).

### Constructor Summary

Constructors
Constructor and Description
`Rot13CypherTestUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static byte[]` `decode(DataInput bytesInput, long length)`
`static byte[]` `encode(DataInput bytesInput, int length)`
`static BlockDecoder` `getBlockDecoder()`
`static BlockEncoder` `getBlockEncoder()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Rot13CypherTestUtil

    public Rot13CypherTestUtil()

### Method Detail

#### encode

    public static byte[] encode(DataInput bytesInput,
                                int length)
                         throws IOException

Throws:
  `IOException`

#### decode

    public static byte[] decode(DataInput bytesInput,
                                long length)
                         throws IOException

Throws:
  `IOException`

#### getBlockEncoder

    public static BlockEncoder getBlockEncoder()

#### getBlockDecoder

    public static BlockDecoder getBlockDecoder()